liborigin 2.0.0

Public Types | Public Attributes | List of all members
Origin::TextProperties Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | Justify { Left , Center , Right }

## Public Attributes
Color | color
bool | fontBold
bool | fontItalic
unsigned short | fontSize
bool | fontUnderline
Justify | justify
short | rotation
bool | whiteOut
short | xOffset
short | yOffset

## Member Enumeration Documentation

## ◆ Justify

enum Origin::TextProperties::Justify

Enumerator
Left |
Center |
Right |

## Member Data Documentation

## ◆ color

Color Origin::TextProperties::color

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fontBold

bool Origin::TextProperties::fontBold

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fontItalic

bool Origin::TextProperties::fontItalic

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fontSize

unsigned short Origin::TextProperties::fontSize

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ fontUnderline

bool Origin::TextProperties::fontUnderline

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ justify

Justify Origin::TextProperties::justify

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ rotation

short Origin::TextProperties::rotation

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ whiteOut

bool Origin::TextProperties::whiteOut

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ xOffset

short Origin::TextProperties::xOffset

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

## ◆ yOffset

short Origin::TextProperties::yOffset

Referenced by Origin610Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), and Origin800Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h